Skip to content
Navigation

Update weekly review draft

PATCH
https://api.sureshake.com/v2/execution/cycles/{cycleId}/weekly-reviews/{reviewId}

Path parameters

  • cycleId
    string
    required
    format: uuid
  • reviewId
    string
    required
    format: uuid

Request body JSON required

  • expectedEditVersion
    integer
    required
    minimum: 1
  • learning
    string
    required
    maxLength: 4000 · minLength: 1
  • nextPlan
    string
    required
    maxLength: 4000 · minLength: 1

Returns

200

Default Response

JSON
  • data
    object
    required
    • id
      string
      required
      format: uuid
    • entityId
      string
      required
      format: uuid
    • cycleId
      string
      required
      format: uuid
    • periodStart
      string
      required
      format: date-time
    • periodEndExclusive
      string
      required
      format: date-time
    • status
      draft
      or
      filed
      required
    • draftOrigin
      founder
      or
      ai
      required
    • aiProvider
      string
      or null
      required
      minLength: 1
    • aiModel
      string
      or null
      required
      minLength: 1
    • aiResponseId
      string
      or null
      required
      minLength: 1
    • plannedCommitments
      array of
      object
      required
      • commitmentId
        string
        required
        format: uuid
      • versionNumber
        integer
        required
        minimum: 1
      • title
        string
        required
        minLength: 1
      • ownerUserId
        string
        required
        minLength: 1
      • completionDefinition
        string
        required
        minLength: 1
      • proofStandard
        string
        required
        minLength: 1
      • commitmentStartAt
        string
        required
        format: date-time
      • deadlineAt
        string
        required
        format: date-time
      • payloadHash
        string
        required
        pattern: ^sha256:[a-f0-9]{64}$
    • observedOutcomes
      array of
      object
      required
      • commitmentId
        string
        required
        format: uuid
      • resolutionId
        string
        required
        format: uuid
      • outcomeStatus
        completed
        or
        partial
        or
        missed
        required
      • actualResult
        string
        required
        maxLength: 4000 · minLength: 1
      • varianceExplanation
        string
        or null
        required
        maxLength: 4000 · minLength: 1
      • resolvedAt
        string
        required
        format: date-time
      • payloadHash
        string
        required
        pattern: ^sha256:[a-f0-9]{64}$
    • evidence
      array of
      object
      required
      • commitmentId
        string
        required
        format: uuid
      • status
        present
        or
        absent
        required
      • items
        array of
        object
        required
        • evidenceId
          string
          required
          format: uuid
        • sourceKind
          upload
          or
          sureshake_link
          or
          integration
          or
          third_party_attestation
          required
        • verificationStatus
          artifact_backed
          or
          source_verified
          or
          third_party_attested
          required
        • displayName
          string
          required
          maxLength: 500 · minLength: 1
        • recordedAt
          string
          required
          format: date-time
        • sourceHash
          string
          required
          pattern: ^sha256:[a-f0-9]{64}$
    • learning
      string
      required
      maxLength: 4000 · minLength: 1
    • nextPlan
      string
      required
      maxLength: 4000 · minLength: 1
    • sourceHash
      string
      required
      pattern: ^sha256:[a-f0-9]{64}$
    • editVersion
      integer
      required
      minimum: 1
    • editedBy
      string
      or null
      required
      minLength: 1
    • editedAt
      string
      or null
      required
      format: date-time
    • selectedFeedSections
      array of
      learning
      or
      next_plan
      required
    • feedUpdates
      array of
      object
      required
      • section
        learning
        or
        next_plan
        required
      • updateId
        string
        required
        format: uuid
      • publishedAt
        string
        required
        format: date-time
    • filedBy
      string
      or null
      required
      minLength: 1
    • filedAt
      string
      or null
      required
      format: date-time
    • createdBy
      string
      required
      minLength: 1
    • createdAt
      string
      required
      format: date-time
    • updatedAt
      string
      required
      format: date-time
  • meta
    optional
    object
    • timestamp
      string
      required
      format: date-time

400

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

401

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

403

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

404

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

409

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

422

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

429

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

500

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

502

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

503

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

Type to search…

↑↓ navigate↵ selectEsc close